> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization Bulk



## OpenAPI

````yaml Customer post /organization/createBulk
openapi: 3.0.1
info:
  title: Customer
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/customer/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /organization/createBulk:
    post:
      operationId: postOrganizationCreatebulk
      parameters:
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/OrganizationUpdateRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    OrganizationUpdateRequest:
      type: object
      properties:
        id:
          type: string
          nullable: true
        countryOfCorporation:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        legalName:
          type: string
          nullable: true
        isTradingNameExist:
          type: boolean
        saveAsRegisteredAddress:
          type: boolean
        tradingName:
          type: string
          nullable: true
        sepaId:
          type: string
          nullable: true
        industryType:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        nextCheckDate:
          type: string
          nullable: true
        sourceOfIncomingFund:
          type: string
          nullable: true
        purposeOfAccount:
          type: string
          nullable: true
        expectedAnnualActivityOfPlatform:
          type: string
          nullable: true
        registrationNumber:
          type: string
          nullable: true
        taxIdentificationNumber:
          type: string
          nullable: true
        taxRegistrationNumber:
          type: integer
          format: int64
          nullable: true
        dateOfIncorporation:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        businessSector:
          type: string
          nullable: true
        rangeOfServicesOrGoods:
          type: string
          nullable: true
        businessOwnerDetailCheck:
          type: string
          nullable: true
        supportingDocumentationCheck:
          type: string
          nullable: true
        kybCheck:
          type: string
          nullable: true
        sanctionCheck:
          type: string
          nullable: true
        pepCheck:
          type: string
          nullable: true
        countryList:
          $ref: '#/components/schemas/CountryList'
        relatedTo:
          type: array
          items:
            $ref: '#/components/schemas/RelatedTo'
        transactionPredict:
          $ref: '#/components/schemas/TransactionPredict'
        address:
          type: array
          items:
            $ref: '#/components/schemas/OperationAddressChecking'
        telephoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/TelephoneNumbers'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/Documents'
        businessToBusinessMap:
          type: array
          items:
            $ref: '#/components/schemas/BusinessToBusinessMap'
        businessToCustomerMap:
          type: array
          items:
            $ref: '#/components/schemas/BusinessToCustomerMap'
        secretquestion:
          type: array
          items:
            $ref: '#/components/schemas/Secretquestion'
        additionalData:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalData'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    CountryList:
      type: object
      properties:
        senderList:
          type: string
          nullable: true
        receiveList:
          type: string
          nullable: true
    RelatedTo:
      type: object
      properties:
        relationType:
          type: string
          nullable: true
        organizationId:
          type: string
          nullable: true
    TransactionPredict:
      type: object
      properties:
        monthlyVolumeRange:
          type: integer
          format: int64
          nullable: true
        numberOfMonthlyPayment:
          type: integer
          format: int64
          nullable: true
        maxSinglePayment:
          type: integer
          format: int64
          nullable: true
    OperationAddressChecking:
      type: object
      properties:
        addressPurpose:
          type: string
          nullable: true
        address:
          type: array
          items:
            $ref: '#/components/schemas/OperationAddress'
    TelephoneNumbers:
      type: object
      properties:
        phoneType:
          type: string
          nullable: true
        operator:
          type: string
          nullable: true
        encoding:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        number:
          type: string
          nullable: true
        purpose:
          type: string
          nullable: true
    Documents:
      type: object
      properties:
        purpose:
          type: array
          items:
            type: string
        name:
          type: string
          nullable: true
        documentType:
          type: array
          items:
            type: string
        location:
          type: string
          nullable: true
        verificationResponse:
          type: string
          nullable: true
        status:
          type: array
          items:
            type: string
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/MetadataItem'
    BusinessToBusinessMap:
      type: object
      properties:
        relationType:
          type: string
          nullable: true
        tenantId:
          type: string
          nullable: true
        organizationId:
          type: string
          nullable: true
        RelatingorganizationId:
          type: string
          nullable: true
    BusinessToCustomerMap:
      type: object
      properties:
        relationType:
          type: string
          nullable: true
        tenantId:
          type: string
          nullable: true
        personid:
          type: string
          nullable: true
        organizationId:
          type: string
          nullable: true
    Secretquestion:
      type: object
      properties:
        question:
          type: string
          nullable: true
        answer:
          type: string
          nullable: true
    AdditionalData:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
    OperationAddress:
      type: object
      properties:
        country:
          type: string
          nullable: true
        area:
          type: string
          nullable: true
        region:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        building:
          type: string
          nullable: true
        apartment:
          type: string
          nullable: true
        entrance:
          type: string
          nullable: true
        floor:
          type: string
          nullable: true
        doorNumber:
          type: string
          nullable: true
        addressone:
          type: string
          nullable: true
        addresstwo:
          type: string
          nullable: true
        postal:
          type: string
          nullable: true
        geoPosition:
          $ref: '#/components/schemas/GeoPosition'
        alternative:
          $ref: '#/components/schemas/Alternative'
        relatedToAddress:
          $ref: '#/components/schemas/RelatedToAddressItem'
    MetadataItem:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
    GeoPosition:
      type: object
      properties:
        latitude:
          type: integer
          format: int64
          nullable: true
        longitude:
          type: integer
          format: int64
          nullable: true
        altitude:
          type: integer
          format: int64
          nullable: true
    Alternative:
      type: object
      properties:
        word1:
          type: string
          nullable: true
        word2:
          type: string
          nullable: true
        word3:
          type: string
          nullable: true
    RelatedToAddressItem:
      type: object
      properties:
        relationType:
          type: string
          nullable: true
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````